<?php

session_start(); //Iniciar a sessao

//Limpar o buffer 
ob_start();

//Incluir a conexao com o banco de dados
include_once '../banco/conexaobd.php';

//Receber os dados do formulario
$dados = filter_input_array(INPUT_POST, FILTER_DEFAULT);


//var_dump($dados);


//verificar se o usuario clicou no botao
if(!empty($dados['CadUsuario'])){
    foreach($dados['cliente_id'] as $chave => $cliente_id){
        //echo "Chave: $chave <br>";
        //echo "Nome: $nome <br>";
        //echo "E-mail: " . $dados['email'][$chave] . "<br>";
        //echo "<hr>";

        $query_usuario = "INSERT INTO respostas (cliente_id, apto, pergunta_id, nota, observacao, data) VALUES (:cliente_id, :apto, :pergunta_id, :nota, :observacao, :data)";
        $cad_usuario = $conn->prepare($query_usuario);
        $cad_usuario->bindParam(':cliente_id', $cliente_id);
        $cad_usuario->bindParam(':apto', $dados['apto'][$chave]);
        $cad_usuario->bindParam(':pergunta_id', $dados['pergunta_id'][$chave]);
        $cad_usuario->bindParam(':nota', $dados['nota'][$chave]);
        $cad_usuario->bindParam(':data', $dados['data'][$chave]);
        $cad_usuario->bindParam(':observacao', $dados['observacao'][$chave]);
        $cad_usuario->execute();

    }

    //Variavel global com a mensagem de sucesso
    $_SESSION['msg'] = "<p style='color: green;'>Usuário cadastrado com sucesso!</p>";

    //Redirecionar o usuario para a pagina inicial
   header("Location: ../dashboard.php");
}else{
    //Variavel global com a mensagem de sucesso
    $_SESSION['msg'] = "<p style='color: #f00;'>Erro: Usuário não cadastrado com sucesso!</p>";

    //Redirecionar o usuario para a pagina inicial
 header("Location: ../dashboard.php");
}

